Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 590037 - [abrt] crash in pychess-0.10-0.3.20100214svn.fc12: Log.py:98:<module>:OSError: [Errno 2] No such file or directory: '/home/asz/.pychess/2010-05-04_10-29-33.log'
[abrt] crash in pychess-0.10-0.3.20100214svn.fc12: Log.py:98:<module>:OSError...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pychess (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
abrt_hash:7270a1aa
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-07 11:08 EDT by András Szilárd
Modified: 2010-12-03 09:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:57:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (7.27 KB, text/plain)
2010-05-07 11:08 EDT, András Szilárd
no flags Details

  None (edit)
Description András Szilárd 2010-05-07 11:08:28 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/python -u /usr/lib/python2.6/site-packages/pychess/Players/PyChess.py
component: pychess
executable: /usr/lib/python2.6/site-packages/pychess/Players/PyChess.py
kernel: 2.6.32.11-99.fc12.x86_64
package: pychess-0.10-0.3.20100214svn.fc12
reason: Log.py:98:<module>:OSError: [Errno 2] No such file or directory: '/home/asz/.pychess/2010-05-04_10-29-33.log'
release: Fedora release 12 (Constantine)
How to reproduce: Maybe unable to reproduce the (very same) fault. Next time pychess is just started as expected.
Comment 1 András Szilárd 2010-05-07 11:08:31 EDT
Created attachment 412375 [details]
File: backtrace
Comment 2 Thomas Spura 2010-05-07 12:19:37 EDT
Thanks for the bug report.

This bug can be fixed easily, because upstream changed the loading of the old files a bit. It would help a lot, if you could get the pychess package from updates-testing and try to reproduce this.

It looks like, you opened pychess and removed some log files and after that try to continue gaming in pychess, is that correct?

_________________

pychess-0.10-0.4.20100504hg.fc12 has been pushed to the Fedora 12 testing
repository.
Please test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pychess'.
You can provide
feedback for this update here:
http://admin.fedoraproject.org/updates/pychess-0.10-0.4.20100504hg.fc12
Comment 3 András Szilárd 2010-05-07 13:12:37 EDT
As I mentioned before, starting pychess the same way (right after the fault), it did not crash. So, it may be difficult to reproduce.
I did not remove any logfile. I tried to open a saved game (pgn file) clicking on it (this triggers the start of the pychess application).
Comment 4 qux 2010-09-04 03:56:28 EDT
Package: pychess-0.10-0.3.20100214svn.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. open pychess
2. start gnu-chess game with other people
3. when play at the end, close the tab window
4. crash note appears sometimes.
Comment 5 Bug Zapper 2010-11-03 11:23:56 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-12-03 09:57:47 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.